Load my profile

GET /me

Output

NameData TypeDescription
id Number My user ID
name Text My system user name
displayName Text My friendly name
enabled Boolean Indicates whether my account is active.
online Boolean Indicates whether other users can see me as being online.
primaryEmail Text My primary email.
primaryPhone Text My primary phone number.
profileOrgId Number My Org ID

Example Output


{
    "id":1007,
    "name":"pizzalover",
    "type":"USER",
    "displayName":"Pizza Lover",
    "enabled":true,
    "online":false,
    "primaryEmail":"pizzalover@veoci.com",
    "primaryPhone":"+1-203-782-5944",
    "profileOrgId":123
}
        

Load my tasks

GET /me/tasks

Input

NameRequiredDefault ValueDescription
status N OPEN Only return tasks with the given status. Possible values: ALL, OPEN, CLOSED

Example Input


status=OPEN
        

Output

NameData TypeDescription
id Number ID of the task
name Text Name of the task
details Text Task details
creator Person The person who created this task
owner Person The person who has been assigned this task
container Container The container in which this task reside
status Text Status of this task
progress Text Progress of this task
thread Text ID of the thread in which comments are posted
start Date Time when task begins
due Date Time when this task is due
created Date Time when this task was created
modified Date Time when this task was last updated

Example Output


[
    {
        "id":404,
        "name":"Order Pizza",
        "details":"Order a cheese pizza for delivery.",
        "creator":{
            "id":1007,
            "type":"USER",
            "displayName":"Pizza Lover"
        },
        "owner":{
            "id":1007,
            "type":"USER",
            "displayName":"Pizza Lover"
        },
        "container":{
            "id":32167,
            "name":"Snowmageddon",
            "type":"MUCROOM",
            "org":1
        },
        "status":"OPEN",
        "progress":"ACKNOWLEDGED",
        "thread":"sosobject-404",
        "start":"2011-06-27T16:35:22Z",
        "due":"2011-06-27T13:35:00Z",
        "created":"2011-06-27T16:35:22Z",
        "modified":"2012-03-16T22:00:24Z"
    }
]
        

Load workflow submissions assigned to me

GET /me/invocations

Input

NameRequiredDefault ValueDescription
fetchPriorOnly N false Only return workflows that were previously assigned to you, but the workflow moved on. Possible values: true, false
fetchOfflineOnly N false Only return workflows in offline processes. Possible values: true, false

Output

NameData TypeDescription
id Number ID of the workflow submission
pendingSteps Array A list of steps that are awaiting actions
process Object An object containing the ID and the name of the workflow
creator Person The person who submitted this workflow submission
container Container The container in which this workflow submission resides
status Text Status of this submission
progress Text Progress of this submission. Possible values: DRAFT, IN_PROGRESS, CLOSED, REJECTED.
created Date Time when this submission was submitted
modified Date Time when this submission was last updated

Example Output


[
    {
        "id"87818,
        "container":{
            "id":32167,
            "name":"Snowmageddon",
            "type":"MUCROOM",
            "org":1
        },
        "status":"OPEN",
        "progress":"ACKNOWLEDGED",
        "orgSequenceId":7,
        "pendingSteps":[
            {
                "name":"Prepare Pizza",
                "type":"USER_STEP",
                "nodeId":16,
                "owners":[
                    {
                        "id":1009,
                        "type":"USER",
                        "displayName":"Pizza Maker"
                    }
                ]
            }
        ]
        "creator":{
            "id":1007,
            "type":"USER",
            "displayName":"Pizza Lover"
        },
        "process":{
            "id":84603,
            "name":"Pizza Deliveries"
        },
        "created":"2011-06-27T16:35:22Z",
        "modified":"2012-03-16T22:00:24Z"
    },
    ...
]
        

Load submissions in workflow

GET /me/invocations?filter=offline

Input

NameRequiredDefault ValueDescription
fetchPriorOnly N false Only return workflows that were previously assigned to you, but the workflow moved on. Possible values: true, false
ids N Only return specified workflows. Accepts a list of workflow ids

Output

NameData TypeDescription
id Number ID of the submission
process Object An object that contains the ID and name of the workflow
creator Person The person who submitted this submission
container Container The container in which this submission reside
pendingSteps Array The array of steps on which this submission is currently pending
created Date Time when this submission was submitted
lastModified Date Time when this submission was last modified
progress Text The current state of this workflow submission. Possible values: DRAFT, IN_PROGRESS, CLOSED, REJECTED.

Example Output

[
	{
		"id":228084,
		"lastModified":1404763475000,
		"container":{
			"name":"Chat 10",
			"id":32290,
			"type":"MUCROOM",
			"owner":null,
			"org":1
		},
		"progress":"IN_PROGRESS",
		"status":"OPEN",
		"created":1400586960000,
		"creator":{
			"name":"wayne",
			"id":1007,
			"type":"USER",
			"displayName":"Nice young man",
			"subType":null,
			"guest":false
		},
		"process":{
			"name":"Reminder & Escalation Workflow (#9695)",
			"id":228080
		},
		"orgSequenceId":520,
		"pendingSteps":[
			{
				"name":"Escalation",
				"type":"USER_STEP",
				"nodeId":401,
				"owners":[
					{
						"name":"harshul",
						"id":1001,
						"type":"USER",
						"displayName":"harshul h",
						"subType":null,
						"guest":false
					},
					{
						"name":"wayne",
						"id":1007,
						"type":"USER",
						"displayName":"Nice young man",
						"subType":null,
						"guest":false
					}
				]
			}
		]
	},
	...
]

Load rooms to which I have access

GET /me/rooms

Input

NameRequiredDefault ValueDescription
state N LIVE Only return rooms in the given state. Possible values: ALL, LIVE, SUSPENDED.
type N ALL Only return certain type of rooms. Possible values: ALL, MUCROOM, SUBROOM.

Example Input


state=LIVE&type=MUCROOM
        

Output

NameData TypeDescription
id Number ID of the chat room
name Text Name of the chat room
lastActivityTime Time Time when last activity in this room happened.
membershipType Text The member type. Possible values: READER, MEMBER, ADMIN.

Example Output


[
    {
        "id":32167,
        "name":"Snowmageddon",
        "type":"MUCROOM",
        "org":1,
        "lastActivityTime":"2012-12-01T17:00:00Z",
        "membershipType":"MEMBER"
    },
    {
        "id":32168,
        "name":"Hurricane",
        "type":"MUCROOM",
        "org":1,
        "lastActivityTime":"2012-06-01T17:00:00Z",
        "membershipType":"ADMIN"
    },
    ...
]
        

Load groups to which I have access

GET /me/groups

Output

NameData TypeDescription
id Number ID of the chat room
name Text Name of the chat room
lastActivityTime Time Time when last activity in this room happened.

Example Output


[
    {
        "id":32167,
        "name":"Snowmageddon",
        "type":"MUCROOM",
        "org":1,
        "lastActivityTime":"2012-12-01T17:00:00Z"
    },
    {
        "id":32168,
        "name":"Hurricane",
        "type":"MUCROOM",
        "org":1,
        "lastActivityTime":"2012-06-01T17:00:00Z"
    },
    ...
]
        

Load plans to which I have access

GET /me/plans

Input

NameRequiredDefault ValueDescription
q Y Query for plans that match the particular property.

Example Input


q=default
        

Output

NameData TypeDescription
id Number ID of the plan
name Text Display name of the plan

Example Output


[
    {
        "id":35991,
        "name":"Panic Plan Test",
        "desc":null,
        "open":false,
        "mainRoomId":35992,
        "category":"Main Category",
        "subCategory":"Sub Category",
        "planType":"INCIDENT_RESPONSE",
        "eventXDate":null,
        "canLaunch":true,
        "org":1,
        "group":2
    },
    ...
]
        

Load form entries I need to review

GET /me/entries?filter=REVIEW

Output

NameData TypeDescription
id Number ID of the form entry
formId Number ID of the enclosing form
created Time Time when this entry was created
lastModified Time Time when this entry was last updated
creator Person The person who created this task
container Container The container in which this task reside

Example Output

[
    {
        "id": 3445,
        "formId": 3443,
        "lastModified": "2013-01-29T22:41:07Z",
        "created": "2012-03-29T04:23:26Z",
        "container": {
            "name": "Chat 10",
            "id": 32290,
            "type": "MUCROOM",
            "owner": null,
            "org": 1
        },
        "creator": {
            "id": 1007,
            "name": "wayne",
            "type": "USER",
            "displayName": "Nice young man",
            "enabled": true,
            "guest": false,
            "subType": null
        }
    },
    ...
]

Load offline Forms

GET /me/forms?filter=offline

Output

NameData TypeDescription
id Number ID of the form
name Text Name of the form
description Text Form description
creator Person The person who created this form
container Container The container in which this form reside
fields Array The array of fields in this form
publicForm Boolean This form is accessible without logging into the system
mappable Boolean This form contains at least one mappable fields
created Date Time when this form was created
lastModified Date Time when this form was last modified

Example Output

[
    {
        "id":888,
        "name":"Pizza Order Form",
        "container":{
            "id":32167,
            "name":"Snowmageddon",
            "type":"MUCROOM",
            "org":1
        },
        "creator":{
            "id":1007,
            "type":"USER",
            "displayName":"Pizza Lover"
        },
        "publicForm":false,
        "mappable":false,
        "created":"2013-03-07T01:25:12Z",
        "lastModified":"2013-03-07T01:30:50Z",
        "fields":[
            {
                "index":0,
                "position":0,
                "name":"Pizza Size",
                "type":"SINGLE",
                "defaultValue":null,
                "rules":[],
                "values":"Small,Medium,Large"
            },{
                "index":1,
                "position":1,
                "name":"Toppings",
                "type":"REFERENCE",
                "properties":{
                    "sourceFieldIndices":[
                        0
                    ]
                },
                "defaultValue":null,
                "rules":[],
                "sourceForm":{
                    "id":777,
                    "name":"Toppings",
                    "container":{
                        "id":32167,
                        "name":"Snowmageddon",
                        "type":"MUCROOM",
                        "org":1
                    },
                    "creator":{
                        "id":1007,
                        "type":"USER",
                        "displayName":"Pizza Lover"
                    },
                    "publicForm":false,
                    "created":"2013-03-07T01:25:12Z"
                    "lastModified":"2013-03-07T01:30:50Z",
                    "fields":[
                        {
                            "index":0,
                            "position":0,
                            "name":"Topping Type",
                            "type":"TEXT",
                            "defaultValue":null,
                            "rules":[],
                            "values":null
                        },{
                            "index":1,
                            "position":1,
                            "name":"Cost",
                            "type":"NUMERIC",
                            "defaultValue":null,
                            "rules":[],
                            "values":null
                        }
                    ]
                },
                "sourceFormId":777
            },{
                "index":2,
                "position":2,
                "name":"Delivery",
                "type":"SECTION",
                "permission":null,
                "hidden":false,
                "properties":{},
                "defaultValue":null,
                "rules":[],
                "fields":[
                    {
                        "index":3,
                        "position":3,
                        "name":"Delivery Person",
                        "type":"PEOPLE",
                        "defaultValue":null,
                        "rules":[]
                    },{
                        "index":4,
                        "position":4,
                        "name":"Time",
                        "type":"TIME",
                        "defaultValue":null,
                        "rules":[]
                    }
                ]
            }
        ]
    },
    ...
]

Load Recent Forms

GET /me/forms?filter=recent

Output

NameData TypeDescription
id Number ID of the form
name Text Name of the form
container Container The container in which this form resides
lastEntryDate Date Time when the last entry was made by user

Example Output

[
    {
        "id":888,
        "name":"Pizza Order Form",
        "container":{
            "id":32167,
            "name":"Snowmageddon",
            "type":"MUCROOM",
            "org":1
        },
        "lastEntryDate":"2013-03-07T01:30:50Z"
    },
    ...
]

Load Recent Processes

GET /me/processes?filter=recent

Output

NameData TypeDescription
id Number ID of the process
name Text Name of the process
container Container The container in which this process resides
lastEntryDate Date Time when this process was last invoked by user

Example Output

[
    {
        "id":888,
        "name":"Pizza Order Form",
        "container":{
            "id":32167,
            "name":"Snowmageddon",
            "type":"MUCROOM",
            "org":1
        },
        "lastEntryDate":"2013-03-07T01:30:50Z"
    },
    ...
]

Get workflow processes for room

GET /me/processes?filter=offline

Output

NameData TypeDescription
id Number ID of the task type
name Text Name of the task type
container Container object The container which contains the workflow
nodes Array of Node objects The set of nodes (steps) in this workflow
firstNode ID of the first node in this workflow Form object that encapsulates the structure of this task type
defaultView Text The unique identifier of the default view for this workflow process in this room

Example Output


[
	{
            "defaultView": "7sfxjc",
            "name":"Test Admin Access",
            "id":237409,
            "open":true,
            "container":{
                    "name":"Chat 10",
                    "id":32290,
                    "type":"MUCROOM",
                    "owner":null,
                    "org":1
            },
            "nodes":{
                    "454":{
                            "fields":[
                                    {
                                            "index":0,
                                            "name":"Person",
                                            "properties":{"hidden":false},
                                            "type":"PEOPLE",
                                            "defaultValue":null,
                                            "unique":false,
                                            "rules":[],
                                            "position":0,
                                            "mandatory":false,
                                            "fieldId":8234,
                                            "inputDisabled":false
                                    }
                            ],
                            "id":237410,
                            "name":"Workflow Submission",
                            "actions":[
                                    {
                                            "id":1488,
                                            "type":"APPROVE",
                                            "transitions":[
                                                    {
                                                            "id":1088,
                                                            "condition":null,
                                                            "nodes":[455,457]
                                                    }
                                            ],
                                            "validators":[
                                                    {
                                                            "field":8234,
                                                            "step":454,
                                                            "id":270,
                                                            "type":"MANDATORY"
                                                    }
                                            ]
                                    }
                            ],
                            "access":{
                                    "455":"ACCESS",
                                    "456":"ACCESS",
                                    "457":"ACCESS"
                            },
                            "type":"REQUEST",
                            "next":[455,457],
                            "nodeId":454
                    },
                    "455":{
                            "fields":[],
                            "id":237411,
                            "owners":[
                                    {
                                            "name":"harshul",
                                            "id":1001,
                                            "type":"USER",
                                            "displayName":"harshul h",
                                            "subType":null,
                                            "guest":false
                                    }
                            ],
                            "name":"Step 1a",
                            "actions":[
                                    {
                                            "id":1489,
                                            "type":"APPROVE",
                                            "transitions":[
                                                    {
                                                            "id":1089,
                                                            "condition":null,
                                                            "nodes":[456]
                                                    }
                                            ],
                                            "validators":[]
                                    }
                            ],
                            "access":{
                                    "456":"ACCESS"
                            },
                            "type":"USER_STEP",
                            "next":[456],
                            "nodeId":455
                    },
                    "456":{
                            "fields":[],
                            "id":237412,
                            "owners":[],
                            "name":"Step 2",
                            "actions":[
                                    {
                                            "id":1490,
                                            "type":"APPROVE",
                                            "transitions":[],
                                            "validators":[]
                                    }
                            ],
                            "access":{},
                            "type":"USER_STEP",
                            "next":[],
                            "nodeId":456
                    },
                    "457":{
                            "fields":[],
                            "id":237413,
                            "owners":[
                                    {
                                            "name":"wayne",
                                            "id":1007,
                                            "type":"USER",
                                            "displayName":"Nice young man",
                                            "subType":null,
                                            "guest":false
                                    }
                            ],
                            "name":"Step 1b",
                            "actions":[
                                    {
                                            "id":1491,
                                            "type":"APPROVE",
                                            "transitions":[
                                                    {
                                                            "id":1090,
                                                            "condition":null,
                                                            "nodes":[456]
                                                    }
                                            ],
                                            "validators":[]
                                    }
                            ],
                            "access":{"456":"ACCESS"},
                            "type":"USER_STEP",
                            "next":[456],
                            "nodeId":457
                    }
            },
            "creator":{
                    "name":"wayne",
                    "id":1007,
                    "type":"USER",
                    "displayName":"Nice young man",
                    "subType":null,
                    "guest":false
            },
            "firstNode":454
	},
	...
]
        

Load offline Processes

GET /me/processes?filter=offline

Load my personal dashboard tiles

GET /me/dashboard

Output

NameData TypeDescription
entity Number ID of the user
tiles Array Tiles on the dashboard
tile.id Number ID of the dashboard tile
tile.type Text Can be one of SAVED_VIEW, ROOM_NOTE or WIDGET.
tile.visible Boolean Whether this tile is visible
tile.order Number The order in which this tile is shown on the dashboard
tile.view Object The saved view that is attached to this tile
tile.view.type Text The type of object that is handled by this tile. Can be one of FORM_ENTRY, TASK or INVOCATION.
tile.view.key Text The unique identifier for this tile
tile.view.state Object The settings that are defined for this view
tile.view.fieldNames Object A map that is used to translate the fields from their unique identifiers in the view to their actual names
tile.view.count Number If the tile is a saved view, the count property indicates the number of child objects that match the filter criteria.
tile.view.groups Object If the tile is a saved view and the view has one or more group-by columns, the groups property contains the groups and the number of child objects that is in each group.

Example Output

{
   "entity":1007,
   "tiles":[
      {
         "view":{
            "fieldNames":{
               "custom_1":"Field 1",
               "custom_2":"Field 2",
               "custom_3":"Field 3",
               "custom_4":"Field 4",
               "custom_5":"Field 5"
            },
            "form":{
               "id":49938,
               "name":"Form With Values"
            },
            "containerId":33826,
            "urlExtraInfo":"/forms/49938",
            "dashboard":true,
            "lastModifiedBy":{
               "id":2982,
               "name":"Don quixote"
            },
            "dateModified":"2013-10-01T22:31:38Z",
            "groupByColumn":null,
            "key":"bgu4ze",
            "state":{
               "vgrid":{
                  "filters":{
                     "advancedFilters":{
                        "filters":[
                           {
                              "columnId":"creator",
                              "condition":"contains",
                              "value":{
                                 "type":"text",
                                 "value":"Sancho Panza"
                              },
                              "type":"text"
                           }
                        ],
                        "type":"advanced",
                        "anyAll":"all"
                     }
                  },
                  "columns":[
                     {
                        "id":"deleteFormEntry",
                        "width":45
                     },
                     {
                        "id":"id",
                        "width":60
                     },
                     {
                        "id":"creator",
                        "hidden":false,
                        "width":120
                     },
                     {
                        "id":"lastModified",
                        "width":125
                     },
                     {
                        "id":"container",
                        "hidden":false,
                        "width":180
                     },
                     {
                        "id":"custom_1",
                        "hidden":false,
                        "width":180
                     },
                     {
                        "id":"custom_2",
                        "hidden":false,
                        "width":180
                     },
                     {
                        "id":"custom_3",
                        "hidden":false,
                        "width":180
                     },
                     {
                        "id":"custom_4",
                        "hidden":false,
                        "width":180
                     },
                     {
                        "id":"custom_5",
                        "hidden":false,
                        "width":180
                     }
                  ],
                  "groupBy":"",
                  "sortCol":"lastModified",
                  "sortDir":false
               },
               "aggregates":[

               ],
               "formId":49938
            },
            "type":"FORM_ENTRY",
            "public":true,
            "shared":false,
            "count":10,
            "description":"Test Mine",
            "groups": {
                "Value 1": 5,
                "Value 2": 5
            }
         },
         "visible":true,
         "order":1,
         "expanded":false,
         "dashboard":1703,
         "id":8415,
         "type":"SAVED_VIEW"
      }, {
            "view": {
                "createdBy": {
                    "id": 2982,
                    "name": "Scarlett O'Hara"
                },
                "dateCreated": "2014-06-25T00:52:51Z",
                "properties": {
                    "roomId": "35346"
                },
                "type": "SIDEROOM"
            },
            "visible": true,
            "order": 1,
            "expanded": false,
            "dashboard": 1572,
            "id": 8846,
            "type": "WIDGET"
        }, {
            "view": {
                "createdBy": {
                    "id": 2982,
                    "name": "Scarlett O'Hara"
                },
                "containerId": 33826,
                "objectId": 236782,
                "title": "Important Information",
                "html": "You have been informed",
                "lastModifiedBy": {
                    "id": 2982,
                    "name": "Scarlett O'Hara"
                },
                "dateModified": "2014-04-11T00:31:53Z",
                "dateCreated": "2013-06-25T17:14:39Z",
                "properties": {}
            },
            "visible": true,
            "order": 2,
            "expanded": false,
            "dashboard": 1572,
            "id": 9662,
            "type": "ROOM_NOTE"
        }
   ]
}


Store my Current Location

PUT /me/location

Input

NameRequiredData TypeDescription
lat Y Number Latitude of my current location (decimal).
lng Y Number Longitude of my current location (decimal).
accuracy N Number Accuracy of the location reading (meters).

Send private message

POST /me/{userId}/privateMessage

Input

NameRequiredData TypeDescription
userId Y Number Recipient user's ID.
msg Y String Message to send.

Retrieve the list of user's private conversations

GET /me/privateMessages

Input

NameData TypeDescription
count Number Limit the returned conversations to this value

Retrieve private messages with a user

GET /me/privateMessages/{userId}

Input

NameData TypeDescription
limit Number Limit the returned messages to this value

Retrieve all private messages from a particular date

GET /me/privateMessages?query=since

Input

NameData TypeDescription
since Number Date/Time in milliseconds

Mark private messages with other user as read

PUT /me/{userId}/privateMessage?action=markAsRead

Input

NameRequiredData TypeDescription
userId Y Number Recipient user's ID.

Change a user's password

POST /me?action=passwordChange

Output

NameData TypeDescription
password Text New Password
oldPassword Text Old Password
username Text User Name / Login ID

Reset a user's password

POST /me?action=passwordReset

Output

NameRequiredData TypeDescription
username Y Text User Name / Login ID
alternate N Boolean Standard format password reset email, or temporary format

Update user's profile

PUT /me?action=updateProfile

Output

NameRequiredData TypeDescription
firstName Y Text First Name
lastName Y Text Last Name

Retrieve a user's matching SSO realms

GET /me/sso

Input

NameData TypeDescription
username Text UserName

Output

NameData TypeDescription
realm Text Realm identifier
serverUrl Text Login Page URL of SSO system
shortName Text Short Name Identifier of SSO system
description Text Descriptive Name of SSO system
orgName Text Organization Name of SSO system
logoutUrl Text Logout Page URL of SSO system

Example Output


{
    "realm":"yale",
    "serverUrl":"https://secure.its.yale.edu/cas",
    "shortName":"CAS",
    "description":"Yale University Central Authentication Service",
    "orgName":"Yale University",
    "logoutUrl":"https://secure.its.yale.edu/cas/logout"
}

        

Store a device token for notifications

PUT /me/device?action=register

Input

NameRequiredData TypeDescription
token Y String The device identifier user for notifications.
deviceInfo N String Any descriptive information about the device (e.g., model).

Remove a device token for notifications

DELETE /me/device?action=remove

Input

NameRequiredData TypeDescription
token Y String The device identifier user for notifications.

Retrieve the user's alerts

GET /me/alerts

Input

NameData TypeDescription
limit Number Limit the returned alerts to this value

Retrieve the user's alerts

GET /me/alerts

Input

NameData TypeRequiredDescription
state String No NEW, ACKNOWLEDGED, DELETED, SNOOZED; By default will return all.
roomId Number No Room Id. By default, returns all alerts for user across rooms.
includeSideRooms Boolean No true/false; Only has meaning if roomId is passed. Default value is false.
count Number No Limit the returned alerts to this value. Default value is 100.
page Number No Offset page number. Default value is 0.

Acknowledge an alert

PUT /me/alerts/{ID}